Bug 1675371 - micro: FTBFS in Fedora rawhide/f30
Summary: micro: FTBFS in Fedora rawhide/f30
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: micro
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1695088
Blocks: F30FTBFS
TreeView+ depends on / blocked
 
Reported: 2019-02-11 20:51 UTC by Fedora Release Engineering
Modified: 2019-04-03 00:29 UTC (History)
1 user (show)

Fixed In Version: micro-1.4.1-5.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-03 00:29:17 UTC


Attachments (Terms of Use)
build.log (1.00 KB, text/plain)
2019-02-11 20:51 UTC, Fedora Release Engineering
no flags Details
root.log (1.00 KB, text/plain)
2019-02-11 20:51 UTC, Fedora Release Engineering
no flags Details
state.log (467 bytes, text/plain)
2019-02-11 20:51 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2019-02-11 20:51:18 UTC
micro failed to build from source in Fedora rawhide/f30

https://koji.fedoraproject.org/koji/taskinfo?taskID=32413715


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild
Please fix micro at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
micro will be orphaned. Before branching of Fedora 31,
micro will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-02-11 20:51:21 UTC
Created attachment 1531209 [details]
build.log

file build.log too big, will only attach last 1024 bytes

Comment 2 Fedora Release Engineering 2019-02-11 20:51:22 UTC
Created attachment 1531210 [details]
root.log

file root.log too big, will only attach last 1024 bytes

Comment 3 Fedora Release Engineering 2019-02-11 20:51:23 UTC
Created attachment 1531211 [details]
state.log

Comment 4 Robert-André Mauchin 2019-02-21 15:54:43 UTC
Upstream bug here: https://github.com/golang/go/issues/30334

Comment 5 Robert-André Mauchin 2019-03-03 16:45:57 UTC
> Well, the fix didn't make it into 1.12, but it will be in 1.12.1.

I will rebuild then.

Comment 6 Robert-André Mauchin 2019-04-03 00:29:17 UTC
Fixed in micro-1.4.1-5.fc30.


Note You need to log in before you can comment on or make changes to this bug.